---
title: SVGAnimatedString.animVal
slug: Web/API/SVGAnimatedString/animVal
---
<p>{{APIRef("SVG")}}</p>

<p>AnimVal attribute or animVal property contains the same value as the <a href="/en-US/docs/new?slug=baseVal&amp;parent=6389"><strong>baseVal</strong></a> property.<span class="field"><span class="_animVal doc">If the given attribute or property is being animated, contains the current animated value of the attribute or property. If the given attribute or property is not currently being animated, then it contains the same value as </span></span>baseVal</p>

<div class="note">
<p>The <strong>animVal</strong> property is a read only property. Internet Explorer 9 supports script-based SVG animation but it does not support declarative-based SVG animation. As a result, the <strong>animVal</strong> property contains the same value as the <strong>baseVal</strong> property.</p>
</div>

<h2 class="alert" id="Syntax">Syntax</h2>

<pre><em>var</em> = <em>object.</em><strong>animVal</strong></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'types.html#__svg__SVGAnimatedString__animVal')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', 'types.html#__svg__SVGAnimatedString__animVal')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimatedString.animVal")}}</p>
